# <p align="center">`pymathematic`</p>
### <p align="center">*A better Python package for math.*</p>

`pymathematic` is a Python package designed to make mathematical operations easier, faster, and more powerful. Its goal is to provide a clean and intuitive package for a wide range of mathematical functions.

## Key Features

### Ease of Use :smile:
`pymathematic` is designed to be easy to use, even for complex mathematical operations.

### Performance :rocket:
`pymathematic` is optimized for performance, making it suitable for large-scale mathematical computations.

### Power and Flexibility :muscle:
`pymathematic` provides a wide range of mathematical functions, from basic arithmetic to advanced calculus and linear algebra.

### Clean and Intuitive :sparkles:
`pymathematic` is designed to be clean, intuitive, and easy to use.

## Mathematical Capabilities

* From &Nopf; (natural numbers) to &Sopf; (sedenion numbers)
* All trigonometric functions (e.g., sin, cos, tan, ...)
* Calculus (e.g., derivatives, integrals, ...)
* Linear algebra (e.g., vectors, matrices, ...)
* Statistics (e.g., mean, median, standard deviation, ...)
* And more!

## License

This project is licensed under the GNU General Public License v2.0. See the [`LICENSE`](./LICENSE) file for more information.